.FilterContainer
{
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
    height: 2.6rem;
    line-height: 2.6rem;
    box-shadow: inset 0px 0px 15px rgba(0,0,0,0.5);
    overflow: hidden;
}

.blur
{
    filter: blur(5px) brightness(50%);
    transform: scale(1.02);
}

.FilterImages
{
    position: absolute;
    display: flex;
    width: 100%;
    height: 2.6rem;
}

.FilterImages img
{
    position: absolute;
    display: block;
    height: 100%;

    transition-property: transform;
    transition-duration: 0.2s;
    transition-timing-function: ease-in;
}

.FilterJustifier
{
    position: relative;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    width: 80%;
    height: 100%;
}

.FilterJustifier div
{
    position: relative;
    display: flex;
    flex-direction: row;
    align-items: center;
}

.FilterJustifier a
{
    transition-property: opacity;
    transition-duration: 0.1s;
    transition-timing-function: ease-in;
}

#SearchInput
{
    transition-property: border-color, width;
    transition-duration: 0.1s, 0.1s;
    transition-timing-function: ease-in;
}

#OrderById,
#CancelFiltersId
{
    margin-right: 1rem;
}

#ReturnBackId
{
    display: none;
    opacity: 0%;

    transition-property: opacity;
    transition-duration: 0.1s;
    transition-timing-function: ease-in;
}

.FilterJustifier input
{
    width: 0rem;
    margin-left: 1rem;
    height: 1.3rem;
    background: transparent;
    border: none;
    outline: none;
    font-size: 1rem;

    border-bottom: solid 1px;

    transition-property: border-color, width;
    transition-duration: 0.1s, 0.1s;
    transition-timing-function: ease-in;
}

@media (hover: hover)
{
    .FilterContainer
    {
        background-color: rgb(100 , 100, 100);
    }

    #ReturnBackId
    {
        color: white;
        cursor: pointer;
    }

    #ReturnBackId:hover
    {
        color: black;
    }

    #SearchId
    {
        opacity: 100%;
        color: white;
        cursor: pointer;
    }

    #SearchId:hover
    {
        color: black;
    }

    #OrderById,
    #FilterById
    {
        opacity: 100%;
        color: white;
        cursor: pointer;
    }

    #OrderById:hover,
    #FilterById:hover
    {
        color: red;
    }

    #CancelFiltersId
    {
        color: red;
    }

    #ApplyFiltersId
    {
        color: lime;
    }

    #CancelFiltersId:hover
    {
        color: rgb(150, 0, 0);
        cursor: pointer;
    }

    #ApplyFiltersId:hover
    {
        color: rgb(0, 150, 0);
        cursor: pointer;
    }

}

@media (hover: none)
{
    .FilterContainer
    {
        background-color: rgb(40 , 40, 40);
    }

    #ReturnBackId
    {
        color: red;
    }

    #SearchId
    {
        color: red;
    }

    #OrderById,
    #FilterById
    {
        color: white;
    }

    #CancelFiltersId
    {
        color: red;
    }

    #ApplyFiltersId
    {
        color: lime;
    }
}